Open MPI logo

Hardware Locality Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Hardware Locality Development mailing list

Subject: Re: [hwloc-devel] [mpich-core] libpci: GPL
From: Pavan Balaji (balaji_at_[hidden])
Date: 2013-02-05 18:34:04


On 02/05/2013 05:29 PM US Central Time, Samuel Thibault wrote:
> Pavan Balaji, le Tue 05 Feb 2013 23:53:54 +0100, a écrit :
>> I checked libnuma, which seems to be LGPL (phew!), but didn't look at
>> the remaining libraries hwloc uses.
>
> Right. If hwloc was strictly requiring a GPL library to be able to
> run, providing it under BSD would be questionable: you'd have to find a
> non-GPL replacement for the GPL libraries in order to produce a binary
> which is not GPL.

At the very least, you have to warn users. My preference would be to
disable it by default and have users opt-in to linking with libpci.

 -- Pavan

-- 
Pavan Balaji
http://www.mcs.anl.gov/~balaji